#
# spec file for package ghc-axel
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name axel
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.0.9
Release:        1.16
Summary:        The Axel programming language
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-freer-simple-devel
BuildRequires:  ghc-ghcid-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-lens-aeson-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regex-pcre-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-singletons-devel
BuildRequires:  ghc-strict-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-typed-process-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-yaml-devel
%if %{with tests}
BuildRequires:  ghc-hedgehog-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-discover-devel
BuildRequires:  ghc-tasty-golden-devel
BuildRequires:  ghc-tasty-hedgehog-devel
BuildRequires:  ghc-tasty-hspec-devel
BuildRequires:  ghc-transformers-devel
%endif

%description
Haskell's semantics, plus Lisp's macros. Meet Axel – a purely functional,
extensible, and powerful programming language.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%{_bindir}/axel-exe
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/resources
%dir %{_datadir}/%{pkg_name}-%{version}/resources/autogenerated
%dir %{_datadir}/%{pkg_name}-%{version}/resources/autogenerated/macros
%dir %{_datadir}/%{pkg_name}-%{version}/resources/macros
%dir %{_datadir}/%{pkg_name}-%{version}/resources/new-project-template
%dir %{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/app
%dir %{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/src
%dir %{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/test
%{_datadir}/%{pkg_name}-%{version}/resources/autogenerated/macros/AST.hs
%{_datadir}/%{pkg_name}-%{version}/resources/macros/MacroDefinitionAndEnvironmentFooter.hs
%{_datadir}/%{pkg_name}-%{version}/resources/macros/MacroDefinitionAndEnvironmentHeader.hs
%{_datadir}/%{pkg_name}-%{version}/resources/macros/Scaffold.hs
%{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/Setup.axel
%{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/Setup.hs
%{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/app/Main.axel
%{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/app/Main.hs
%{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/src/Lib.axel
%{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/src/Lib.hs
%{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/test/Spec.axel
%{_datadir}/%{pkg_name}-%{version}/resources/new-project-template/test/Spec.hs

%files devel -f %{name}-devel.files
%doc README.org

%changelog
* Wed Dec 26 2018 psimons@suse.com
- Add axel at version 0.0.9.
